Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class SubRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.SubRecord

Direct Known Subclasses:
  CommonObjectDataSubRecord, EndSubRecord, GroupMarkerSubRecord

public abstract class SubRecord
extends Record

Subrecords are part of the OBJ class.

Constructor Summary
`SubRecord()`
`SubRecord(short id, short size, byte[] data)`
`SubRecord(short id, short size, byte[] data, int offset)`

Method Summary
`static Record` | `createSubRecord(short subRecordSid, short size, byte[] data, int offset)`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, fillFields, fillFields, getRecordSize, getSid, isInValueSection, isValue, processContinueRecord, serialize, serialize, toString, validateSid`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubRecord

    public SubRecord()

### SubRecord

    public SubRecord(short id,
                     short size,
                     byte[] data)

### SubRecord

    public SubRecord(short id,
                     short size,
                     byte[] data,
                     int offset)

Method Detail

### createSubRecord

    public static Record createSubRecord(short subRecordSid,
                                         short size,
                                         byte[] data,
                                         int offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.